Check Transaction Status(Merchant Reference)
curl --request GET \
--url 'https://api.payaza.africa/live/merchant-collection/transfer_notification_controller/merchant/transaction-query?merchant_reference={merchantReference}' \
--header 'Authorization: <api-key>'import requests
url = "https://api.payaza.africa/live/merchant-collection/transfer_notification_controller/merchant/transaction-query?merchant_reference={merchantReference}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.payaza.africa/live/merchant-collection/transfer_notification_controller/merchant/transaction-query?merchant_reference={merchantReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Transaction data found",
"data": {
"transaction_reference": null,
"amount_received": 20.28,
"transaction_fee": 0.28,
"transaction_status": "Completed",
"sender_name": "Ray Phil",
"sender_account_number": null,
"source_bank_name": "MASTERCARD",
"initiated_date": "2023-02-11 09:49:09.254",
"current_status_date": "2023-02-11 09:49:09.254",
"currency": "NGN",
"session_id": "419309171231",
"merchant_transaction_reference": "3bf267326",
"transaction_type": "Card",
"virtual_account_number": null,
"status_reason": "Payment Approved"
},
"success": true
}Check Transaction Status(Merchant Reference)
Check Transaction Status(Merchant Reference)
This endpoint is used to check the transaction status of a transaction using the Merchant Reference value placed in the checkout or payment page request.
| Status | Meaning |
|---|---|
| Initialized | The transaction is in progress |
| Completed | The transaction is successful |
| Failed | The transaction has failed |
GET
/
merchant-collection
/
transfer_notification_controller
/
merchant
/
transaction-query?merchant_reference=
{merchantReference}
Check Transaction Status(Merchant Reference)
Authorizations
Payaza {{Public API Key in Base 64}}
Path Parameters
The reference generated to the transaction that is placed in the Checkout or Payment page request